Selecting syntax-highlighted text in the 2017 source editor covers it completely when using Firefox on OSX
Closed, ResolvedPublic5 Story Points

Description

When you use syntax highlighting in the 2017 source editor and select some text, the selection highlighting completely covers the text. This affects all pages and all wikis.

This happens on (beta) Firefox, but not on Chrome.

Browser: Firefox 56.0b8
OS: macOS 10.12.6

Restricted Application added subscribers: revi, Aklapper. · View Herald TranscriptSep 7 2017, 12:40 AM
Neil_P._Quinn_WMF renamed this task from Selecting syntax-highlighted text in the 2017 sourced editor covers it completely when using Firefox to Selecting syntax-highlighted text in the 2017 source editor covers it completely when using Firefox .Sep 7 2017, 6:14 PM
Neil_P._Quinn_WMF updated the task description. (Show Details)
Neil_P._Quinn_WMF removed a subscriber: revi.
Restricted Application added a project: VisualEditor. · View Herald TranscriptSep 12 2017, 11:42 PM
kaldari set the point value for this task to 5.Sep 12 2017, 11:42 PM
DannyH triaged this task as Normal priority.
Esanders renamed this task from Selecting syntax-highlighted text in the 2017 source editor covers it completely when using Firefox to Selecting syntax-highlighted text in the 2017 source editor covers it completely when using Firefox on OSX.Nov 30 2017, 4:22 PM

We feature-detect support for transparent text in ve.ui.CodeMirrorAction.js using 'WebkitTextFillColor' in document.body.style. If it isn't available we use 30% opacity for the unhighlighted text as a fallback technique (we can't use 0% or the cursor disappears). I imagine if we forced Firefox+OSX to fail this feature test (using $.client) it might work again.

Change 394337 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/CodeMirror@master] Disable WebkitTextFillColor in Firefox OSX

https://gerrit.wikimedia.org/r/394337

This comment was removed by Aschmidt.

Change 394337 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Disable WebkitTextFillColor in Firefox OSX

https://gerrit.wikimedia.org/r/394337

kaldari closed this task as Resolved.Dec 13 2017, 11:13 PM
kaldari claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptDec 13 2017, 11:13 PM

Shortly before I pass into the weekend I would like to thank you for applying the fix I requested.

However, when I start typing now, the fonts that are added look blurred, or fuzzy. This disappears after deleting the new text with CTRL-Z.

Could you please have another look into this? – Thx.

Firefox ESR 52.5.3 under El Capitan

Aschmidt reopened this task as Open.Jan 5 2018, 10:46 AM

I forgot I also have to change the status of this task in order to have it reviewed again.

MaxSem closed this task as Resolved.Jan 5 2018, 11:07 AM
MaxSem added a subscriber: MaxSem.

Please don't repurpose existing tickets for new bugs. I tried to reproduce your report but there's not enough information. Please open a new bug with detailed information.